diff -rpcd a/src/backend/commands/tablespace.c b/src/backend/commands/tablespace.c
*** a/src/backend/commands/tablespace.c	2013-10-04 13:17:03.000000000 +0900
--- b/src/backend/commands/tablespace.c	2013-10-31 23:01:35.228000000 +0900
*************** create_tablespace_directories(const char
*** 606,614 ****
--- 606,619 ----
  	}
  
  	/* Remove old symlink in recovery, in case it points to the wrong place */
+ 	/* On Windows, lstat() reports junction points as directories */
  	if (InRecovery)
  	{
+ #ifdef WIN32
+ 		if (rmdir(linkloc) < 0 && errno != ENOENT)
+ #else
  		if (unlink(linkloc) < 0 && errno != ENOENT)
+ #endif
  			ereport(ERROR,
  					(errcode_for_file_access(),
  					 errmsg("could not remove symbolic link \"%s\": %m",
